<?php
namespace Controllers;
// Контроллер для клиетов
class Partners extends Controller {

	public function __construct() {
		parent::__construct();
		$this->model=new \Models\Partners($this->db, $this->f3);
	}

	// Поиск клиента по номеру карты
	function search() {
		$card=$this->f3->get('GET.card');
		if(!$card) {
			$this->f3->set('page_data', $this->messages->message('not_enough_data'));
			return;
		}
		$partner=$this->model->select_partner(array('card=?', $card), array('limit'=>1));
		if($partner) {
			$receipt_id=$this->f3->get('SESSION.receipt_id');
			$r=new \Models\Receipts($this->db, $this->f3);
			$res=$r->add_partner($receipt_id, $partner[0]);
			$res['txt']=$this->messages->message($res['txt'])['txt'];
			echo json_encode($res);
			exit();
		}
		else {
			$this->f3->set('page_data', $this->messages->message('not_found'));
		}
	}
}
